package com.ruoyi.party.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 优秀党组织 excellent_party
 * 
 * @author ruoyi
 * @date 2024-05-20
 */
public class ExcellentParty extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 党组织id */
    @Excel(name = "党组织id")
    private String partyId;

    /** 党组织名称 */
    @Excel(name = "党组织名称")
    private String dzzmc;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 有效时间开始 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效时间开始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectiveTimeStart;

    /** 有效日期结束 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期结束", width = 30, dateFormat = "yyyy-MM-dd")
    private Date effectiveTimeEnd;

    /** 称号 */
    @Excel(name = "称号")
    private String title;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updateUser;

    /** 备用字段1 */
    @Excel(name = "备用字段1")
    private String byzd1;

    /** 备用字段2 */
    @Excel(name = "备用字段2")
    private String byzd2;

    /** 备用字段3 */
    @Excel(name = "备用字段3")
    private String byzd3;

    /** 备用字段4 */
    @Excel(name = "备用字段4")
    private String byzd4;

    /** 备用字段5 */
    @Excel(name = "备用字段5")
    private String byzd5;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setPartyId(String partyId)
    {
        this.partyId = partyId;
    }

    public String getPartyId() 
    {
        return partyId;
    }
    public void setDzzmc(String dzzmc) 
    {
        this.dzzmc = dzzmc;
    }

    public String getDzzmc() 
    {
        return dzzmc;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setEffectiveTimeStart(Date effectiveTimeStart) 
    {
        this.effectiveTimeStart = effectiveTimeStart;
    }

    public Date getEffectiveTimeStart() 
    {
        return effectiveTimeStart;
    }
    public void setEffectiveTimeEnd(Date effectiveTimeEnd) 
    {
        this.effectiveTimeEnd = effectiveTimeEnd;
    }

    public Date getEffectiveTimeEnd() 
    {
        return effectiveTimeEnd;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }
    public void setUpdateUser(String updateUser) 
    {
        this.updateUser = updateUser;
    }

    public String getUpdateUser() 
    {
        return updateUser;
    }
    public void setByzd1(String byzd1) 
    {
        this.byzd1 = byzd1;
    }

    public String getByzd1() 
    {
        return byzd1;
    }
    public void setByzd2(String byzd2) 
    {
        this.byzd2 = byzd2;
    }

    public String getByzd2() 
    {
        return byzd2;
    }
    public void setByzd3(String byzd3) 
    {
        this.byzd3 = byzd3;
    }

    public String getByzd3() 
    {
        return byzd3;
    }
    public void setByzd4(String byzd4) 
    {
        this.byzd4 = byzd4;
    }

    public String getByzd4() 
    {
        return byzd4;
    }
    public void setByzd5(String byzd5) 
    {
        this.byzd5 = byzd5;
    }

    public String getByzd5() 
    {
        return byzd5;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("partyId", getPartyId())
            .append("dzzmc", getDzzmc())
            .append("year", getYear())
            .append("effectiveTimeStart", getEffectiveTimeStart())
            .append("effectiveTimeEnd", getEffectiveTimeEnd())
            .append("title", getTitle())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .append("updateUser", getUpdateUser())
            .append("updateTime", getUpdateTime())
            .append("byzd1", getByzd1())
            .append("byzd2", getByzd2())
            .append("byzd3", getByzd3())
            .append("byzd4", getByzd4())
            .append("byzd5", getByzd5())
            .toString();
    }
}
